* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
.bg-image {
  background-image: url(../img/background.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  filter: blur(5px);
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  transform: scale(1.02);
}
h1 {
  text-align: center;
  font-size: clamp(20px, 3rem, 40px);
  font-weight: 600;
  color: #f1f1f1;
  text-shadow: 1px 2px 4px #4653c5;
  margin-top: 1rem;
}
.container-disclosure {
  max-width: 900px;
  margin: auto;
  padding: 0 24px;
}
.container-disclosure-header {
  text-align: center;
  color: #f1f1f1;
  margin-bottom: 1rem;
  margin-top: 2rem;
}
.container-disclosure-header > h2 {
  text-shadow: 1px 1px 1px #111;
}
.disclosure-content {
  position: relative;
  aspect-ratio: 1.5/1;
  overflow: hidden;
  border: 10px solid #f1f1f1;
}
.img-container {
  width: 100%;
  height: 100%;
}
.img-container-after {
  position: absolute;
  top: 0;
  width: 50%;
  overflow: hidden;
}
.img-container > img {
  height: 100%;
}
.widget {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: none;
}
.line {
  height: 100%;
  width: 3px;
  background-color: #f1f1f1;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -1.5px);
  pointer-events: none;
}
.circle {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #f1f1f1;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2px solid #111;
}
.circle > img {
  transform: scale(0.8);
  user-select: none;
}
.disclosure-range {
  appearance: none;
  background: none;
  outline: none;
  width: 100%;
  height: 100%;
  cursor: pointer;
}
.copyright {
  text-align: center;
  margin: 1rem;
}
.copyright > a {
  color: #f1f1f1;
  text-decoration: none;
}

/* Loader */
.loader {
  position: absolute;
  top: 0;
  width: 100vw;
  height: 100vh;
  position: fixed;
  background: #161616;
  z-index: 2;
}
.letters {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.letters h2 {
  text-align: center;
  font-size: clamp(20px, 6vw, 50px);
}
.letters h2 span {
  text-shadow: 0 0 7px #af19b4;
  text-transform: uppercase;
  animation: flash 1.2s linear infinite;
  background: linear-gradient(to bottom, #4653c5, #af19b4);
  -webkit-text-fill-color: transparent;
  background-clip: text;
  display: inline-block;
  user-select: none;
}
@keyframes flash {
  0% {
    /* background: linear-gradient(to bottom, #4653c5, #af19b4);
    -webkit-text-fill-color: transparent;
    background-clip: text;*/
    text-shadow: 0 0 7px #af19b4;
    color: #4653c5;
    transform: translateY(0);
  }
  70% {
    transform: translateY(0px);
  }
  90% {
    text-shadow: 0 0 7px #4653c5;
    color: #af19b4;
    text-shadow: none;
    transform: translateY(-5px);
  }
  100% {
    text-shadow: 0 0 7px #af19b4;
    color: #4653c5;
    text-shadow: 0 0 7px #af19b4;
    transform: translateY(0px);
  }
}
.letters h2 span:nth-child(1) {
  animation-delay: 0.1s;
}
.letters h2 span:nth-child(2) {
  animation-delay: 0.2s;
}
.letters h2 span:nth-child(3) {
  animation-delay: 0.3s;
}
.letters h2 span:nth-child(4) {
  animation-delay: 0.4s;
}
.letters h2 span:nth-child(5) {
  animation-delay: 0.5s;
}
.letters h2 span:nth-child(6) {
  animation-delay: 0.6s;
}
.letters h2 span:nth-child(7) {
  animation-delay: 0.7s;
}
.letters h2 span:nth-child(8) {
  animation-delay: 0.8s;
}
.letters h2 span:nth-child(9) {
  animation-delay: 0.9s;
}
.letters h2 span:nth-child(10) {
  animation-delay: 1s;
}

.loading-out {
  opacity: 0;
  transition: opacity 0.2s ease-out;
}
